summaryrefslogtreecommitdiffstats
path: root/system/sash/sash.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/sash/sash.SlackBuild')
-rw-r--r--system/sash/sash.SlackBuild56
1 files changed, 34 insertions, 22 deletions
diff --git a/system/sash/sash.SlackBuild b/system/sash/sash.SlackBuild
index 64acbb690d..6b3941eb27 100644
--- a/system/sash/sash.SlackBuild
+++ b/system/sash/sash.SlackBuild
@@ -2,67 +2,79 @@
# Slackware build script for the stand alone shell (sash)
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Written by Menno Duursma <druiloor@zonnet.nl>
# Modified by Robby Workman of the SlackBuilds.org project
-# Exit on most errors
-set -e
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=sash
-VERSION=3.7
+VERSION=${VERSION:-3.7}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# The 'sash-plus-patches' patch adds support for _very_ usefull features
-# like env var expention and the 'chroot' command:
+# The 'sash-plus-patches' patch adds support for _very_ useful features
+# like env var expansion and the 'chroot' command:
# http://www.baiti.net/sash/
-patch -p1 --verbose < $CWD/sash-plus-patches-3.7
+patch -p1 --verbose < $CWD/patches/sash-plus-patches-3.7
# Apply the appropriate CFLAGS to the Makefile
-if [ "$ARCH" = "i486" ]; then
- patch -p1 --verbose < $CWD/sash-3.7-CFLAGS_i486.patch
-elif [ "$ARCH" = "i686" ]; then
- patch -p1 --verbose < $CWD/sash-3.7-CFLAGS_i686.patch
-fi
+sed -i "s/^CFLAGS = -O3/CFLAGS = $SLKCFLAGS/" Makefile
# Let's make this thing support DESTDIR
-patch -p1 --verbose < $CWD/sash-3.7-DESTDIR.patch
+patch -p1 --verbose < $CWD/patches/sash-3.7-DESTDIR.patch
# Fix an include line in cmd_chattr.c
-patch -p1 --verbose < $CWD/sash-3.7-cmd_chattr.c.patch
+patch -p1 --verbose < $CWD/patches/sash-3.7-cmd_chattr.c.patch
# Create target dirs
-mkdir -p $PKG/bin
-mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/bin $PKG/usr/man/man1
-# Compile the application and install it into the $PKG directory
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CHANGES README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -72,4 +84,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}